Client restarts on SSL connection error

Bug #833388 reported by Facundo Batista on 2011-08-24
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Unassigned
ubuntuone-client (Ubuntu)
High
dobey

Bug Description

While connecting and doing the first dialogs with the server, it fails with an SSL error, which triggers an UNKNOWN_ERROR.

2011-08-24 18:32:11,025 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: SYS_STATE_CHANGED, kwargs: {'state': CHECK_VERSION (error=False connected=True online=False) Queue: WORKING Connection: With User With Network}
2011-08-24 18:32:11,025 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - emitting state changed: CHECK_VERSION (error=False connected=True online=False) Queue: WORKING Connection: With User With Network
2011-08-24 18:32:11,025 - ubuntuone.SyncDaemon.InteractionInterfaces - DEBUG - called current_status
2011-08-24 18:32:15,752 - ubuntuone.SyncDaemon.StorageClient - INFO - Connection lost, reason: [Failure instance: Traceback (failure with no frames): <class 'OpenSSL.SSL.Error'>: [('SSL routines', 'SSL23_READ', 'ssl handshake failure')]
].
2011-08-24 18:32:15,753 - ubuntuone.SyncDaemon.EQ - DEBUG - push_event: SYS_UNKNOWN_ERROR, kwargs: {}
2011-08-24 18:32:15,753 - ubuntuone.SyncDaemon.StateManager - DEBUG - received event 'SYS_UNKNOWN_ERROR'
2011-08-24 18:32:15,753 - ubuntuone.SyncDaemon.StateManager - DEBUG - Transition CHECK_VERSION --[SYS_UNKNOWN_ERROR]--> UNKNOWN_ERROR (queues: WORKING; connection: With User With Network)

It should support the error, and go to disconnect

Related branches

Changed in ubuntuone-client:
status: Confirmed → Fix Committed
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client:
milestone: none → 2.0.0
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → High
status: New → In Progress
milestone: none → ubuntu-11.10
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 2.0.0-0ubuntu1

---------------
ubuntuone-client (2.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - No watches needed on parent folders (LP: #838111)
    - Root is always subscribed (LP: #842839)
    - Unicode path asserts failing (LP: #845009)
    - Local Rescan is putting non-UTF8 paths into syncdaemon (LP: #696901)
    - IOError in tritcask metadata (LP: #776386)
    - Missinglogin_email_password on Linux (LP: #831043)
    - Unsubscribing share and deleting content triggers unlinks (LP: #820353)
    - Only make the link if it doesn't exist (LP: #833812)
    - Client restarts on SSL connection error (LP: #833388)
    - Stop logging sensitive data (LP: #837488)
    - Add delay to the hash queue (LP: #838104)
    - Crash if no keydir stats for inactive file (LP: #848224)
    - Use correct desktop file for launcher progress bar (LP: #851187)
    - Folder nesting check is incorrect (LP: #854776)
    - Should have a --version switch for u1sdtool (LP: #379841)
  * debian/control:
    - Update versions of some dependencies to be more correct
    - Recommend ubuntuone-installer needed for Unity launcher integration
 -- Rodney Dawes <email address hidden> Tue, 27 Sep 2011 11:18:41 -0400

Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers